Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.osgi
Class DelegatingObjectFactory

    java.lang.Object
      com.opensymphony.xwork2.ObjectFactory
          org.apache.struts2.osgi.DelegatingObjectFactory

All Implemented Interfaces:
  Serializable, ObjectFactoryDestroyable

    public class DelegatingObjectFactory

extends com.opensymphony.xwork2.ObjectFactory
implements ObjectFactoryDestroyable

See Also:
  Serialized Form

Constructor Summary
`DelegatingObjectFactory()`

Method Summary
`Object` | `buildBean(Class clazz, Map extraContext)`
`Object` | `buildBean(String className, Map<String,Object> extraContext, boolean injectInternal)`
`void` | `destroy()`
`Class` | `getClassInstance(String className)`
`boolean` | `isNoArgConstructorRequired()`
`void` | `setBundleResourceLoader(BundleAccessor rl)`
`void` | `setDelegateObjectFactory(com.opensymphony.xwork2.inject.Container container, String delegate)`
`void` | `setOsgiConfigurationProvider(PackageProvider osgiConfigurationProvider)`

Methods inherited from class com.opensymphony.xwork2.ObjectFactory
`buildAction, buildBean, buildConverter, buildInterceptor, buildResult, buildUnknownHandler, buildValidator, getObjectFactory, injectInternalBeans, setActionFactory, setClassLoader, setContainer, setConverterFactory, setInterceptorFactory, setResultFactory, setUnknownHandlerFactory, setValidatorFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingObjectFactory

    public DelegatingObjectFactory()

Method Detail

### setDelegateObjectFactory

    public void setDelegateObjectFactory(com.opensymphony.xwork2.inject.Container container,
                                         String delegate)

### setBundleResourceLoader

    public void setBundleResourceLoader(BundleAccessor rl)

### isNoArgConstructorRequired

    public boolean isNoArgConstructorRequired()

  Overrides:
    `isNoArgConstructorRequired` in class `com.opensymphony.xwork2.ObjectFactory`

### buildBean

    public Object buildBean(Class clazz,
                            Map extraContext)
                     throws Exception

  Overrides:
    `buildBean` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `Exception`

### buildBean

    public Object buildBean(String className,
                            Map<String,Object> extraContext,
                            boolean injectInternal)
                     throws Exception

  Overrides:
    `buildBean` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `Exception`

### getClassInstance

    public Class getClassInstance(String className)
                           throws ClassNotFoundException

  Overrides:
    `getClassInstance` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `ClassNotFoundException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `ObjectFactoryDestroyable`

### setOsgiConfigurationProvider

    public void setOsgiConfigurationProvider(PackageProvider osgiConfigurationProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.